Page MenuHomePhabricator

Add Dinka Wikipedia to Wikidata
Closed, ResolvedPublic

Description

Dinka Wikipedia (din) was created recently (T168518), but it's still impossible to add sitelinks to it.

Related Objects

Event Timeline

Amire80 created this task.Jul 18 2017, 1:24 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJul 18 2017, 1:24 PM
Nikki added a subscriber: Nikki.Jul 18 2017, 1:25 PM
Urbanecm removed Dereckson as the assignee of this task.

I'm pretty sure that the item page is not enough by itself. It must be possible to add sitelinks to din, and currently it's impossible. Probably this needs to be done: https://wikitech.wikimedia.org/wiki/Add_a_wiki#Wikidata

Reedy added a subscriber: Reedy.Jul 18 2017, 3:12 PM

I'm pretty sure that the item page is not enough by itself. It must be possible to add sitelinks to din, and currently it's impossible. Probably this needs to be done: https://wikitech.wikimedia.org/wiki/Add_a_wiki#Wikidata

Ofc, step one of that is https://gerrit.wikimedia.org/r/#/c/365451/ which still needs deploying ;)

Amire80 added a comment.EditedJul 18 2017, 3:14 PM

I'm pretty sure that the item page is not enough by itself. It must be possible to add sitelinks to din, and currently it's impossible. Probably this needs to be done: https://wikitech.wikimedia.org/wiki/Add_a_wiki#Wikidata

Ofc, step one of that is https://gerrit.wikimedia.org/r/#/c/365451/ which still needs deploying ;)

Is it SWAT? Or some other kind of deployment scheduling? It's +1 as far as I'm concerned, but my patchset is the latest, so somebody else must approve it.

Reedy added a comment.Jul 18 2017, 3:17 PM

Yeah, that can go out in SWAT. No problem there

I just tried to add din.wp's "Kïndegɔ̈t" to Wikidata's "Q9779" and it didn't work.

InterwikiSortOrders are set. populateSitesTable.php has been re-run...

We had similar problems with atjwiki... I think this suggests there's reasonably big issues with the wikidata documentation relating to setting up new wikis

The ball is in Wikidata's court

Yep, seems to work, although there's a longish lag until the link actually appears, but that's fine.

Will anybody run the script that migrates all the existing classic links to Wikidata?

The lag might be related to the dispatch in the last few days.

I'm running it.

I'm running it.

Running what? :P

Ladsgroup added a comment.EditedJul 19 2017, 12:37 PM

Will anybody run the script that migrates all the existing classic links to Wikidata?

This :D

Ladsgroup closed this task as Resolved.Jul 19 2017, 12:40 PM
Koavf removed a subscriber: Koavf.Jul 19 2017, 4:11 PM
Dcljr added a comment.EditedJul 20 2017, 12:02 AM

OK, wait. I'm seeing something weird. Each of the pages edited by Dexbot seems to now have a link to the correct "Wikidata item" in the sidebar but no list of interlanguage links under "Languages" (English interface). Tried purging the page cache (and bypassing my local browser cache) on one of the pages, but it didn't change anything.

See, for example, din:Ɣɔɔc de kɔc në Thudän, which links to d:Q954778, which links back to the Dinka article, but that article doesn't have interlanguage links to the 3 other Wikipedia articles listed in the Wikidata item (de, en, fr).

Even the "alphabet" article mentioned by @Koavf as having been successfully added to Wikidata doesn't have any interlanguage links.

So has this task not actually been completed?

There's a huge backlog of changes to dispatch for Wikidata. It's very possible that's part of the problem

Dcljr added a subscriber: Koavf.Jul 20 2017, 12:08 AM

Oops, @Reedy, I was editing my comment when you left yours.

Sigh, as usual, I guess it just takes time to work. We'll see…

Koavf removed a subscriber: Koavf.Jul 20 2017, 12:27 AM
aude added a comment.Jul 21 2017, 8:22 PM

for some reason, the sites table on dinwiki only had an entry for dinwiki and not any other wiki.

I see dinwiki in the sites table for other wikis. I repopulated the sites table on dinwiki and the interwikis appear to work:

https://din.wikipedia.org/wiki/%C6%94%C9%94%C9%94c_de_k%C9%94c_n%C3%AB_Thud%C3%A4n

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 21 2017, 8:22 PM
Dcljr added a comment.Jul 22 2017, 2:17 AM

It looks like it will be necessary to purge the cache on most of these pages to get the interlanguage links to show up. This can be done "manually" by visiting each page and appending the string "?action=purge" to the end of the URL and then hitting the Enter key to reload the page (with the new URL).

Alternatively, you can do a "null edit" of each page (edit and "publish changes" without making any changes) — or, of course, you can make a real edit, changing anything on the page.

Dcljr added a comment.Jul 22 2017, 2:38 AM

Never mind. There are so few pages, I'm just doing it myself, now. Will be done in about 10 minutes, probably.

for some reason, the sites table on dinwiki only had an entry for dinwiki and not any other wiki.

I see dinwiki in the sites table for other wikis. I repopulated the sites table on dinwiki and the interwikis appear to work:

https://din.wikipedia.org/wiki/%C6%94%C9%94%C9%94c_de_k%C9%94c_n%C3%AB_Thud%C3%A4n

How could such a thing be missed? Is this a part of the wiki adding procedure? Is this the populateSitesTable.php part?